Foreman - Bug #15925

audited 4.2.1 breaks migration testing
08/01/2016 05:42 AM - Tomer Brisker

Status: Closed
Priority: Normal
Assignee: Tomer Brisker
Category: Packaging
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3693,
https://github.com/theforeman/foreman/p
ull/3697
Description

Associated revisions

Revision 77e32aa6 - 08/01/2016 09:32 AM - Tomer Brisker

Fixes #15925 - pin audited gem to allow tests to pass

Audited gem changed internal implementation of auditing_enabled causing
Cl test to fail when attempting to run rake db:migrate.

This is a temporary workaround to unblock Cl until permanent fix is
made.

Revision e989879f - 08/02/2016 05:25 AM - Tomer Brisker
Refs #15925 - unpin audited gem
A new version of audited has been released fixing the issue that was

breaking Cl:
https://github.com/collectiveidea/audited/pull/279#issuecomment-236608382

History

#1 - 08/01/2016 05:44 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/3693 added

#2 - 08/01/2016 10:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 77e32aa613d19b5d525022a250beae95528a6398.

#3 - 08/02/2016 02:54 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/3697 added

#4 - 08/02/2016 07:29 AM - Tomer Brisker

- Target version setto 1.7.1

#5 - 08/03/2016 06:13 AM - Tomer Brisker
- Category set to Packaging
https://github.com/collectiveidea/audited/pull/279#issuecomment-236608382
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/77e32aa613d19b5d525022a250beae95528a6398

#6 - 08/04/2016 02:49 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#7 - 08/08/2016 10:37 AM - Daniel Lobato Garcia
- Target version deleted (1.7.1)

#8 - 08/08/2016 10:44 AM - Daniel Lobato Garcia

- Target version set to 1.7.1

#9 - 08/23/2016 10:00 AM - Daniel Lobato Garcia

- Target version changed from 1.7.1 to 1.6.2

#10 - 08/23/2016 11:05 AM - Daniel Lobato Garcia

- Target version changed from 1.6.2 to 1.7.1
